# 项目相关配置
cpop:
  # 文件路径 示例（ Windows配置W:/WorkSpace/java/uploadPath，Linux配置 /home/baseFramework/uploadPath）
  profile: E:/Cpop/uploadPath
  jwt:
    #白名单
    whiteList: /login,/miniLogin,/wxPay/callback/notify/**,/mini/brand/jamboxBrandIsInMall/*,/doc.html,/webjars/**,/favicon.ico,/v2/api-docs/**,/swagger-resources
  gateway:
    rsa-keypair:
      # 公钥文件
      publicKeyFile: /root/Cpop-Oam/keyPair/publicKey
      # 公钥文件
      privateKeyFile: /root/Cpop-Oam/keyPair/privateKey

# DataSource Config
spring:
  application:
    name: Cpop-Mall-Dev
  #redis配置
  redis:
    #地址
    host: gz-crs-lv77ii2t.sql.tencentcdb.com
    #端口
    port: 27714
    #数据库
    database: 3
    #密码
    password: Cpop2022@
    #连接超时
    timeout: 5000
    jedis:
      pool:
        #
        min-idle: 0
        #
        max-idle: 8
        #
        max-active: 8
        #
        max-wait: -1ms
    client-type: jedis
  data:
    mongodb:
      host: localhost
      port: 27017
      database: cpop-union

server:
  port: 9430
  servlet:
    context-path: /Cpop-Mall

#Mybatis-Flex
mybatis-flex:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  datasource:
    mall:
      url: jdbc:mysql://192.168.3.61:3306/cpop_dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: root
      password: Admin@123
    jambox:
      url: jdbc:mysql://sh-cynosdbmysql-grp-fggo83js.sql.tencentcdb.com:20965/jambox_test?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
      username: root
      password: Customer0401

# springdoc-openapi项目配置
knife4j:
  enable: true
  openapi:
    title: Cpop-Mall开发API
    description: Cpop-Mall开发API
    email:
    concat: DB
    url: https://api.jamboxsys.com
    version: 1.0.0
    license: Apache 2.0
    license-url: https://stackoverflow.com/
    terms-of-service-url: https://api.jamboxsys.com
    group:
      #商城
      Mall-Backstage:
        #后台
        group-name: Mall-Backstage
        api-rule: package
        api-rule-resources:
          - com.cpop.mall.business.controller.backstage
      Mall-Mini:
        #小程序
        group-name: Mall-Mini
        api-rule: package
        api-rule-resources:
          - com.cpop.mall.business.controller.mini
      Mall-Test:
        #测试
        group-name: Mall-Test
        api-rule: package
        api-rule-resources:
          - com.cpop.mall.business.controller.test
      #系统
      System:
        group-name: System
        api-rule: package
        api-rule-resources:
          - com.cpop.system

#商城相关配置文件
mall:
  cloudBaseUrl: https://test.cpopsz.com/test/ass/

#微信支付
wx:
  pay:
    # p12证书的位置，可以指定绝对路径，也可以指定类路径（以classpath:开头）
    keyPath: /root/Cpop-Oam/keyPair/wxPay_cert.p12
    # 私钥证书
    privateKeyPath: /root/Cpop-Oam/keyPair/wxPay_key.pem
    # 私钥文件
    privateCertPath: /root/Cpop-Oam/keyPair/wxPay_cert.pem
    #支付通知地址
    notifyUrl: https://frp-oak.top:11899/Cpop-Mall/callback/wxPay/notify/order
    #退款通知地址
    notifyRefund: https://frp-oak.top:11899/Cpop-Mall/callback/wxPay/notify/refund
